Skip to content

Delete Access Credentials

API Description

Use this API to actively revoke an existing access token.

API URL

POST  Http://{anymetrics_host:anymetrics_port}/anymetrics/api/v1/token/delete

For how to obtain anymetrics_host:anymetrics_port, see Calling APIs.

Request Parameters

Common Request Parameters (HEADERS)

Parameter Type Required Description
tenant-id String Yes Tenant ID, which identifies the tenant that owns the metric query content.
auth-type String Yes Authentication method. Supported values: UID, TOKEN, ACCOUNT, APIKEY.
auth-value String Yes Authentication value corresponding to auth-type.

How to Obtain Common Parameters

To obtain tenant-id, select Metric Application from the top navigation bar in Aloudata CAN, then select API Integration from the left menu. Enter auth-value according to the selected auth-type.

image.png

Request Parameters

Parameter Type Required Description
token String Yes Existing user token.

Response Parameters

Parameter Type Required Description
code String Yes API response code.
success Boolean Yes Whether the request succeeded.
message String Yes Message body.
traceId String Yes Trace ID.
data Boolean Yes Result data.

Request Example

{
    "token": "e05be6a4da2142ee99b23fad88863b77"
}

Response Example

{
    "data": true,
    "success": true,
    "code": null,
    "message": null,
    "traceId": "fdde680598343f9ff2dcd70.292.16857691758642861"
}